package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class MachineTypeModelSerialNumber {
    private Metadata metadata;
    private String machineType;
    private String model;
    private String serialNumber;

    public MachineTypeModelSerialNumber() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMachineType() {
        return machineType;
    }

    public void setMachineType(String machineType) {
        this.machineType = machineType;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    @Override
    public String toString() {
        return "MachineTypeModelSerialNumber [metadata=" + metadata + ", machineType=" + machineType + ", model="
            + model + ", serialNumber=" + serialNumber + "]";
    }
}
